Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::IndexFileNames Class Reference

Constants representing filenames and extensions used by Lucene. More...

`#include <IndexFileNames.h>`

Inheritance diagram for Lucene::IndexFileNames:

## Public Member Functions

virtual | ~IndexFileNames ()
virtual String | getClassName ()
boost::shared_ptr< IndexFileNames > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static const String & | SEGMENTS ()
| Name of the index segment file.
static const String & | SEGMENTS_GEN ()
| Name of the generation reference file name.
static const String & | DELETABLE ()
| Name of the index deletable file (only used in pre-lockless indices).
static const String & | NORMS_EXTENSION ()
| Extension of norms file.
static const String & | FREQ_EXTENSION ()
| Extension of freq postings file.
static const String & | PROX_EXTENSION ()
| Extension of prox postings file.
static const String & | TERMS_EXTENSION ()
| Extension of terms file.
static const String & | TERMS_INDEX_EXTENSION ()
| Extension of terms index file.
static const String & | FIELDS_INDEX_EXTENSION ()
| Extension of stored fields index file.
static const String & | FIELDS_EXTENSION ()
| Extension of stored fields file.
static const String & | VECTORS_FIELDS_EXTENSION ()
| Extension of vectors fields file.
static const String & | VECTORS_DOCUMENTS_EXTENSION ()
| Extension of vectors documents file.
static const String & | VECTORS_INDEX_EXTENSION ()
| Extension of vectors index file.
static const String & | COMPOUND_FILE_EXTENSION ()
| Extension of compound file.
static const String & | COMPOUND_FILE_STORE_EXTENSION ()
| Extension of compound file for doc store files.
static const String & | DELETES_EXTENSION ()
| Extension of deletes.
static const String & | FIELD_INFOS_EXTENSION ()
| Extension of field infos.
static const String & | PLAIN_NORMS_EXTENSION ()
| Extension of plain norms.
static const String & | SEPARATE_NORMS_EXTENSION ()
| Extension of separate norms.
static const String & | GEN_EXTENSION ()
| Extension of gen file.
static const HashSet< String > | INDEX_EXTENSIONS ()
| This array contains all filename extensions used by Lucene's index files, with two exceptions, namely the extension made up from ".f" + number and from ".s" + number. Also note that Lucene's "segments_N" files do not have any filename extension.
static const HashSet< String > | INDEX_EXTENSIONS_IN_COMPOUND_FILE ()
| File extensions that are added to a compound file (same as `INDEX_EXTENSIONS`, minus "del", "gen", "cfs").
static const HashSet< String > | STORE_INDEX_EXTENSIONS ()
static const HashSet< String > | NON_STORE_INDEX_EXTENSIONS ()
static const HashSet< String > | COMPOUND_EXTENSIONS ()
| File extensions of old-style index files.
static const HashSet< String > | VECTOR_EXTENSIONS ()
| File extensions for term vector support.
static String | fileNameFromGeneration (const String &base, const String &extension, int64_t gen)
| Computes the full file name from base, extension and generation. If the generation is `SegmentInfo#NO`, the file name is null. If it's `SegmentInfo#WITHOUT_GEN` the file name is base+extension. If it's > 0, the file name is base_generation+extension.
static bool | isDocStoreFile (const String &fileName)
| Returns true if the provided filename is one of the doc store files (ends with an extension in STORE_INDEX_EXTENSIONS).
static String | segmentFileName (const String &segmentName, const String &ext)
| Return segment file name.

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Constants representing filenames and extensions used by Lucene.

## Constructor & Destructor Documentation

## ◆ ~IndexFileNames()

virtual Lucene::IndexFileNames::~IndexFileNames | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::IndexFileNames::_getClassName | ( |  | ) |

inline static

## ◆ COMPOUND_EXTENSIONS()

const HashSet< String > Lucene::IndexFileNames::COMPOUND_EXTENSIONS | ( |  | ) |

static

File extensions of old-style index files.

## ◆ COMPOUND_FILE_EXTENSION()

const String & Lucene::IndexFileNames::COMPOUND_FILE_EXTENSION | ( |  | ) |

static

Extension of compound file.

## ◆ COMPOUND_FILE_STORE_EXTENSION()

const String & Lucene::IndexFileNames::COMPOUND_FILE_STORE_EXTENSION | ( |  | ) |

static

Extension of compound file for doc store files.

## ◆ DELETABLE()

const String & Lucene::IndexFileNames::DELETABLE | ( |  | ) |

static

Name of the index deletable file (only used in pre-lockless indices).

## ◆ DELETES_EXTENSION()

const String & Lucene::IndexFileNames::DELETES_EXTENSION | ( |  | ) |

static

Extension of deletes.

## ◆ FIELD_INFOS_EXTENSION()

const String & Lucene::IndexFileNames::FIELD_INFOS_EXTENSION | ( |  | ) |

static

Extension of field infos.

## ◆ FIELDS_EXTENSION()

const String & Lucene::IndexFileNames::FIELDS_EXTENSION | ( |  | ) |

static

Extension of stored fields file.

## ◆ FIELDS_INDEX_EXTENSION()

const String & Lucene::IndexFileNames::FIELDS_INDEX_EXTENSION | ( |  | ) |

static

Extension of stored fields index file.

## ◆ fileNameFromGeneration()

String Lucene::IndexFileNames::fileNameFromGeneration | ( | const String & | base,
|  | const String & | extension,
|  | int64_t | gen )

static

Computes the full file name from base, extension and generation. If the generation is `SegmentInfo#NO`, the file name is null. If it's `SegmentInfo#WITHOUT_GEN` the file name is base+extension. If it's > 0, the file name is base_generation+extension.

## ◆ FREQ_EXTENSION()

const String & Lucene::IndexFileNames::FREQ_EXTENSION | ( |  | ) |

static

Extension of freq postings file.

## ◆ GEN_EXTENSION()

const String & Lucene::IndexFileNames::GEN_EXTENSION | ( |  | ) |

static

Extension of gen file.

## ◆ getClassName()

virtual String Lucene::IndexFileNames::getClassName | ( |  | ) |

inline virtual

## ◆ INDEX_EXTENSIONS()

const HashSet< String > Lucene::IndexFileNames::INDEX_EXTENSIONS | ( |  | ) |

static

This array contains all filename extensions used by Lucene's index files, with two exceptions, namely the extension made up from ".f" + number and from ".s" + number. Also note that Lucene's "segments_N" files do not have any filename extension.

## ◆ INDEX_EXTENSIONS_IN_COMPOUND_FILE()

const HashSet< String > Lucene::IndexFileNames::INDEX_EXTENSIONS_IN_COMPOUND_FILE | ( |  | ) |

static

File extensions that are added to a compound file (same as `INDEX_EXTENSIONS`, minus "del", "gen", "cfs").

## ◆ isDocStoreFile()

bool Lucene::IndexFileNames::isDocStoreFile | ( | const String & | fileName | ) |

static

Returns true if the provided filename is one of the doc store files (ends with an extension in STORE_INDEX_EXTENSIONS).

## ◆ NON_STORE_INDEX_EXTENSIONS()

const HashSet< String > Lucene::IndexFileNames::NON_STORE_INDEX_EXTENSIONS | ( |  | ) |

static

## ◆ NORMS_EXTENSION()

const String & Lucene::IndexFileNames::NORMS_EXTENSION | ( |  | ) |

static

Extension of norms file.

## ◆ PLAIN_NORMS_EXTENSION()

const String & Lucene::IndexFileNames::PLAIN_NORMS_EXTENSION | ( |  | ) |

static

Extension of plain norms.

## ◆ PROX_EXTENSION()

const String & Lucene::IndexFileNames::PROX_EXTENSION | ( |  | ) |

static

Extension of prox postings file.

## ◆ segmentFileName()

String Lucene::IndexFileNames::segmentFileName | ( | const String & | segmentName,
|  | const String & | ext )

static

Return segment file name.

## ◆ SEGMENTS()

const String & Lucene::IndexFileNames::SEGMENTS | ( |  | ) |

static

Name of the index segment file.

## ◆ SEGMENTS_GEN()

const String & Lucene::IndexFileNames::SEGMENTS_GEN | ( |  | ) |

static

Name of the generation reference file name.

## ◆ SEPARATE_NORMS_EXTENSION()

const String & Lucene::IndexFileNames::SEPARATE_NORMS_EXTENSION | ( |  | ) |

static

Extension of separate norms.

## ◆ shared_from_this()

boost::shared_ptr< IndexFileNames > Lucene::IndexFileNames::shared_from_this | ( |  | ) |

inline

## ◆ STORE_INDEX_EXTENSIONS()

const HashSet< String > Lucene::IndexFileNames::STORE_INDEX_EXTENSIONS | ( |  | ) |

static

## ◆ TERMS_EXTENSION()

const String & Lucene::IndexFileNames::TERMS_EXTENSION | ( |  | ) |

static

Extension of terms file.

## ◆ TERMS_INDEX_EXTENSION()

const String & Lucene::IndexFileNames::TERMS_INDEX_EXTENSION | ( |  | ) |

static

Extension of terms index file.

## ◆ VECTOR_EXTENSIONS()

const HashSet< String > Lucene::IndexFileNames::VECTOR_EXTENSIONS | ( |  | ) |

static

File extensions for term vector support.

## ◆ VECTORS_DOCUMENTS_EXTENSION()

const String & Lucene::IndexFileNames::VECTORS_DOCUMENTS_EXTENSION | ( |  | ) |

static

Extension of vectors documents file.

## ◆ VECTORS_FIELDS_EXTENSION()

const String & Lucene::IndexFileNames::VECTORS_FIELDS_EXTENSION | ( |  | ) |

static

Extension of vectors fields file.

## ◆ VECTORS_INDEX_EXTENSION()

const String & Lucene::IndexFileNames::VECTORS_INDEX_EXTENSION | ( |  | ) |

static

Extension of vectors index file.

The documentation for this class was generated from the following file:

- IndexFileNames.h

clucene.sourceforge.net